## org.eclipse.wst.server.ui
Class ServerUIUtil

    java.lang.Object
      org.eclipse.wst.server.ui.ServerUIUtil

    public final class ServerUIUtil

extends java.lang.Object

Server UI utility methods.

This class provides all its functionality through static members. It is not intended to be subclassed or instantiated.

Since:
  1.0

Method Summary
`static boolean` `showNewRuntimeWizard(Shell shell, java.lang.String typeId, java.lang.String versionId)` Open the new runtime wizard.
`static boolean` `showNewRuntimeWizard(Shell shell, java.lang.String typeId, java.lang.String versionId, java.lang.String runtimeTypeId)` Open the new runtime wizard.
`static boolean` `showNewServerWizard(Shell shell, java.lang.String typeId, java.lang.String versionId, java.lang.String serverTypeId)` Open the new server wizard.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### showNewRuntimeWizard

    public static boolean showNewRuntimeWizard(Shell shell,
                                               java.lang.String typeId,
                                               java.lang.String versionId)

  Open the new runtime wizard. The given typeId and versionId are used to filter the set of runtimes displayed.

  Parameters:
    `shell` - a shell to use when creating the wizard
    `typeId` - a module type id, or null for any module type
    `versionId` - a module version, or null for any version
  Returns:
    `true` if a runtime was created, or `false` otherwise

### showNewRuntimeWizard

    public static boolean showNewRuntimeWizard(Shell shell,
                                               java.lang.String typeId,
                                               java.lang.String versionId,
                                               java.lang.String runtimeTypeId)

  Open the new runtime wizard. The given typeId, versionId, and runtimeTypeId are used to filter the set of runtimes displayed.

  Parameters:
    `shell` - a shell to use when creating the wizard
    `typeId` - a module type id, or null for any module type
    `versionId` - a module version, or null for any version
    `runtimeTypeId` - a server runtime type, or null for any type
  Returns:
    `true` if a runtime was created, or `false` otherwise
  Since:
    2.0

### showNewServerWizard

    public static boolean showNewServerWizard(Shell shell,
                                              java.lang.String typeId,
                                              java.lang.String versionId,
                                              java.lang.String serverTypeId)

  Open the new server wizard.

  Parameters:
    `shell` - a shell to use when creating the wizard
    `typeId` - a module type id, or null for any module type
    `versionId` - a module version, or null for any version
    `serverTypeId` - a server runtime type, or null for any type
  Returns:
    `true` if a server was created, or `false` otherwise
  Since:
    2.0